<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/expansionactionconnecttow.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d8c/a02747_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionconnecttow.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d8c/a02747.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionConnectTow.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/de6/a07089.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a> : ActionReciveData</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">   15</a></span>    Object <a class="code hl_variable" href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">m_Car</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d2/de6/a07089.html#a183f7c6629f525769ba18dbfc0196271">   16</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/de6/a07089.html#a183f7c6629f525769ba18dbfc0196271">m_Index</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">class </span>ExpansionActionConnectTowData : ActionData</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/d8c/a02747.html#aa56c141dc5504518b8ac1cb5a4f4de17">   21</a></span>    Object <a class="code hl_variable" href="../../de/d8c/a02747.html#aa56c141dc5504518b8ac1cb5a4f4de17">m_Car</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/d8c/a02747.html#a54a6edfdfd1da0e8da5045bc504f9873">   22</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8c/a02747.html#a54a6edfdfd1da0e8da5045bc504f9873">m_Index</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>};</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html">   25</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d3d/a07093.html">ExpansionActionConnectTow</a> : ActionInteractBase</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">   27</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">m_IsWinch</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a5bc36a50fdf356d2afe6293cba584667">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a5bc36a50fdf356d2afe6293cba584667">ExpansionActionConnectTow</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ALL;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_HUDCursorIcon = CursorIcons.OpenDoors;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a8d30b36f27d9db7215b3b66b973b498d">   36</a></span>    <span class="keyword">override</span> ActionData <a class="code hl_function" href="../../d9/d3d/a07093.html#a8d30b36f27d9db7215b3b66b973b498d">CreateActionData</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        ExpansionActionConnectTowData action_data = <span class="keyword">new</span> ExpansionActionConnectTowData;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> action_data;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a12ed114f9f5fec10e003a97b9890c76f">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a12ed114f9f5fec10e003a97b9890c76f">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a7be5028423673d3aaea2b0c6e77d3620">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a7be5028423673d3aaea2b0c6e77d3620">GetText</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">m_IsWinch</a>)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_CONNECT_WINCH&quot;</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_CONNECT_TOW&quot;</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a05e8a09c777290d0d49d0b6b632b73f2">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a05e8a09c777290d0d49d0b6b632b73f2">WriteToContext</a>(ParamsWriteContext ctx, ActionData action_data)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        super.WriteToContext(ctx, action_data);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        ExpansionActionConnectTowData poActionData;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        poActionData = ExpansionActionConnectTowData.Cast(action_data);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        ctx.Write(poActionData.m_Car);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#af69bed585dc06fd6188fd401f37d21b4">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#af69bed585dc06fd6188fd401f37d21b4">ReadFromContext</a>(ParamsReadContext ctx, out ActionReciveData action_recive_data)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">if</span> (!action_recive_data)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            action_recive_data = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        super.ReadFromContext(ctx, action_recive_data);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a> action_data_po = <a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a>.Cast(action_recive_data);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span> (!ctx.Read(action_data_po.<a class="code hl_variable" href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">m_Car</a>))</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#aeb097eb71b665950f9e71c2131e88eff">   83</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#aeb097eb71b665950f9e71c2131e88eff">HandleReciveData</a>(ActionReciveData action_recive_data, ActionData action_data)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        super.HandleReciveData(action_recive_data, action_data);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a> recive_data_po = <a class="code hl_class" href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a>.Cast(action_recive_data);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        ExpansionActionConnectTowData action_data_po = ExpansionActionConnectTowData.Cast(action_data);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        action_data_po.<a class="code hl_variable" href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">m_Car</a> = recive_data_po.<a class="code hl_variable" href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">m_Car</a>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a35435a5d04d47e7ae5d2f56e571cff0d">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a35435a5d04d47e7ae5d2f56e571cff0d">SetupAction</a>(<a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item, out ActionData action_data, Param extra_data = NULL)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> (super.SetupAction(player, target, item, action_data, extra_data))</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            ExpansionActionConnectTowData action_data_b = ExpansionActionConnectTowData.Cast(action_data);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a0d48f0b5de38ac65f6d4abad52af9081">GetCarToTow</a>(player, action_data_b.m_Car, action_data_b.m_Index);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a0d48f0b5de38ac65f6d4abad52af9081">  104</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a0d48f0b5de38ac65f6d4abad52af9081">GetCarToTow</a>(<a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, out Object out_car, out <span class="keywordtype">int</span> out_index)</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordtype">int</span> i;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        Human crew;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordtype">bool</span> hasCrew;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keyword">auto</span> vehCommand = player.GetCommand_Vehicle();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a> car;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span> (vehCommand &amp;&amp; Class.CastTo(car, vehCommand.GetTransport()))</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="keywordflow">if</span> (car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a10848cdaa6e0224409ac5fff57f87379">Expansion_IsTowing</a>())</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">if</span> (car.CrewMemberIndex(player) == DayZPlayerConstants.VEHICLESEAT_DRIVER)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                array&lt;Object&gt; excluded = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                array&lt;Object&gt; collided = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                excluded.Insert(car);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                excluded.Insert(player);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                vector towPosition = car.ModelToWorld(car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a824ac1d4eaa88f09308dd2735543d008">Expansion_GetTowPosition</a>());</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                <span class="keywordtype">float</span> towRadius = car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a367fe00dd2e8aaa8e0e00825d94ede23">Expansion_GetTowLength</a>();</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                GetGame().IsBoxColliding(towPosition, car.<a class="code hl_function" href="../../d0/d2a/a04925.html#ab539ebff316e33e7831275761ef41a9b">Expansion_GetTowDirection</a>(), <span class="stringliteral">&quot;5 5 5&quot;</span>, excluded, collided);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                <span class="keywordflow">foreach</span> (Object o : collided)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                    <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a> other_car;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                    <span class="keywordflow">if</span> (Class.CastTo(other_car, o))</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                        <span class="keywordflow">if</span> (!other_car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a9e081def78439dfcf235ba0fe2b7accd">Expansion_IsBeingTowed</a>() &amp;&amp; !other_car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a10848cdaa6e0224409ac5fff57f87379">Expansion_IsTowing</a>() &amp;&amp; car.<a class="code hl_function" href="../../d0/d2a/a04925.html#ae230bf7cacf1b820666b4b0d9dcd27f3">Expansion_CanConnectTow</a>(other_car))</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                        {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                            <a class="code hl_variable" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">m_IsWinch</a> = car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a3e3b9bb4e5c4b0db37472874b7193fc6">Expansion_IsHelicopter</a>();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment"></span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment">                            //! Check if someone is inside the Vehicle the Helicopter is trying to winch</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment">                            //! Goal is to prevent a exploit allowing to get inside people bases</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="comment"></span>                            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">m_IsWinch</a>)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                            {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                                hasCrew = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                                <span class="keywordflow">for</span> (i = 0; i &lt; other_car.CrewSize(); i++)</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                                {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                                    crew = other_car.CrewMember(i);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                                    <span class="keywordflow">if</span> (crew)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                                        hasCrew = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                                }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                                <span class="keywordflow">if</span> (hasCrew)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                            }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                            <span class="keywordflow">if</span> (other_car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a4dcc74e9883455bd188fb9311cc19f55">Expansion_GetMass</a>() * 0.9 &lt; car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a4dcc74e9883455bd188fb9311cc19f55">Expansion_GetMass</a>())</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                            {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                                <span class="keywordflow">if</span> (other_car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a446d752b44fe983b62d7bcb301a85a1e">Expansion_GetOverlappingTowConnection</a>(towPosition, towRadius, out_index))</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                                {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                                    out_car = other_car;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                                }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                            }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                    <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> other_vehicle;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                    <span class="keywordflow">if</span> (Class.CastTo(other_vehicle, o))</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                    {</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                        <span class="keywordflow">if</span> (!other_vehicle.<a class="code hl_function" href="../../d1/df9/a03665.html#aa11f4c5290ed243b719742a29151b3c5">Expansion_IsTowing</a>() &amp;&amp; car.<a class="code hl_function" href="../../d0/d2a/a04925.html#ae230bf7cacf1b820666b4b0d9dcd27f3">Expansion_CanConnectTow</a>(other_vehicle))</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                        {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                            <a class="code hl_variable" href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">m_IsWinch</a> = car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a3e3b9bb4e5c4b0db37472874b7193fc6">Expansion_IsHelicopter</a>();</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                            <span class="keywordflow">if</span> (other_vehicle.<a class="code hl_function" href="../../d1/df9/a03665.html#ab9af86687bc4227ca1739567be650c9a">Expansion_GetOverlappingTowConnection</a>(towPosition, towRadius, out_index))</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>                            {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                                out_car = other_vehicle;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>                            }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a6eb754a5503679b0787c545f296cccf5">  187</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a6eb754a5503679b0787c545f296cccf5">ActionCondition</a>(<a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item)</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="comment">// only check on connection</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetVehicle(<span class="keyword">false</span>).<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>() || !<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetVehicle().<a class="code hl_variable" href="../../da/de8/a02657.html#affd0719c4ccb66d395b6a053b0e20970">Towing</a>)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">if</span> (!super.ActionCondition(player, target, item))</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        Object car;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <span class="keywordtype">int</span> index;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a0d48f0b5de38ac65f6d4abad52af9081">GetCarToTow</a>(player, car, index);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#a5761fa97f97581dbb4f4af372c85804b">  201</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#a5761fa97f97581dbb4f4af372c85804b">OnStartServer</a>(ActionData action_data)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        super.OnStartServer(action_data);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        ExpansionActionConnectTowData action_data_b = ExpansionActionConnectTowData.Cast(action_data);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        HumanCommandVehicle vehCommand = action_data_b.m_Player.GetCommand_Vehicle();</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a> car;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">if</span> (vehCommand &amp;&amp; Class.CastTo(car, vehCommand.GetTransport()))</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">if</span> (car.CrewMemberIndex(action_data_b.m_Player) == DayZPlayerConstants.VEHICLESEAT_DRIVER)</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a92f05182c3407f6805185252e548beab">Expansion_CreateTow</a>(action_data_b.m_Car, action_data_b.m_Index);</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>                <span class="keywordflow">if</span> (GetGame().IsMultiplayer() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().VehicleTowing)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>                {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                    <span class="keywordtype">string</span> msg = <span class="stringliteral">&quot;[VehicleTowing] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; towed &quot;</span> + action_data_b.m_Car.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + <a class="code hl_class" href="../../df/d88/a04241.html">ExpansionStatic</a>.<a class="code hl_function" href="../../df/d88/a04241.html#a93ae0f34df16009fb5bc40db9cffa88b">GetPersistentIDString</a>(EntityAI.Cast(action_data_b.m_Car)) + <span class="stringliteral">&quot; pos=&quot;</span> + action_data_b.m_Car.GetPosition();</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>                    msg += <span class="stringliteral">&quot; with &quot;</span> + car.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a53fb52048a59643c936fc5aeee164211">GetVehiclePersistentIDString</a>() + <span class="stringliteral">&quot; pos=&quot;</span> + car.GetPosition() + <span class="stringliteral">&quot;)&quot;</span>;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>                    <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(msg);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                }</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno"><a class="line" href="../../d9/d3d/a07093.html#ad8d43e4d0cf3920e8a072f2ea9d447a0">  226</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d3d/a07093.html#ad8d43e4d0cf3920e8a072f2ea9d447a0">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>};</div>
<div class="ttc" id="aa00023_html_ad9eab3191d8b7cc0f5414602631292b8"><div class="ttname"><a href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00241">expansionbasebuildingsettings.c:241</a></div></div>
<div class="ttc" id="aa02657_html_affd0719c4ccb66d395b6a053b0e20970"><div class="ttname"><a href="../../da/de8/a02657.html#affd0719c4ccb66d395b6a053b0e20970">Towing</a></div><div class="ttdeci">bool Towing</div><div class="ttdoc">If enabled, allow players to be attached to vehicles while in movement.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/de8/a02657_source.html#l00034">expansionvehiclesettings.c:34</a></div></div>
<div class="ttc" id="aa02747_html_a54a6edfdfd1da0e8da5045bc504f9873"><div class="ttname"><a href="../../de/d8c/a02747.html#a54a6edfdfd1da0e8da5045bc504f9873">m_Index</a></div><div class="ttdeci">int m_Index</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00022">expansionactionconnecttow.c:22</a></div></div>
<div class="ttc" id="aa02747_html_aa56c141dc5504518b8ac1cb5a4f4de17"><div class="ttname"><a href="../../de/d8c/a02747.html#aa56c141dc5504518b8ac1cb5a4f4de17">m_Car</a></div><div class="ttdeci">ExpansionActionConnectTowReciveData m_Car</div></div>
<div class="ttc" id="aa03377_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03665_html_aa11f4c5290ed243b719742a29151b3c5"><div class="ttname"><a href="../../d1/df9/a03665.html#aa11f4c5290ed243b719742a29151b3c5">ItemBase::Expansion_IsTowing</a></div><div class="ttdeci">bool Expansion_IsTowing()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6b/a02945_source.html#l00145">itembase_towing.c:145</a></div></div>
<div class="ttc" id="aa03665_html_ab9af86687bc4227ca1739567be650c9a"><div class="ttname"><a href="../../d1/df9/a03665.html#ab9af86687bc4227ca1739567be650c9a">ItemBase::Expansion_GetOverlappingTowConnection</a></div><div class="ttdeci">bool Expansion_GetOverlappingTowConnection(vector towPosition, float towRadius, out int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6b/a02945_source.html#l00167">itembase_towing.c:167</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04241_html"><div class="ttname"><a href="../../df/d88/a04241.html">ExpansionStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00074">expansionstatic.c:75</a></div></div>
<div class="ttc" id="aa04241_html_a93ae0f34df16009fb5bc40db9cffa88b"><div class="ttname"><a href="../../df/d88/a04241.html#a93ae0f34df16009fb5bc40db9cffa88b">ExpansionStatic::GetPersistentIDString</a></div><div class="ttdeci">static string GetPersistentIDString(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00676">expansionstatic.c:676</a></div></div>
<div class="ttc" id="aa04357_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04925_html"><div class="ttname"><a href="../../d0/d2a/a04925.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da8/a08961_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa04925_html_a10848cdaa6e0224409ac5fff57f87379"><div class="ttname"><a href="../../d0/d2a/a04925.html#a10848cdaa6e0224409ac5fff57f87379">CarScript::Expansion_IsTowing</a></div><div class="ttdeci">bool Expansion_IsTowing()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00686">carscript.c:686</a></div></div>
<div class="ttc" id="aa04925_html_a367fe00dd2e8aaa8e0e00825d94ede23"><div class="ttname"><a href="../../d0/d2a/a04925.html#a367fe00dd2e8aaa8e0e00825d94ede23">CarScript::Expansion_GetTowLength</a></div><div class="ttdeci">float Expansion_GetTowLength()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00757">carscript.c:757</a></div></div>
<div class="ttc" id="aa04925_html_a3e3b9bb4e5c4b0db37472874b7193fc6"><div class="ttname"><a href="../../d0/d2a/a04925.html#a3e3b9bb4e5c4b0db37472874b7193fc6">CarScript::Expansion_IsHelicopter</a></div><div class="ttdeci">bool Expansion_IsHelicopter()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l01542">carscript.c:1542</a></div></div>
<div class="ttc" id="aa04925_html_a446d752b44fe983b62d7bcb301a85a1e"><div class="ttname"><a href="../../d0/d2a/a04925.html#a446d752b44fe983b62d7bcb301a85a1e">CarScript::Expansion_GetOverlappingTowConnection</a></div><div class="ttdeci">bool Expansion_GetOverlappingTowConnection(vector towPosition, float towRadius, out int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00716">carscript.c:716</a></div></div>
<div class="ttc" id="aa04925_html_a4dcc74e9883455bd188fb9311cc19f55"><div class="ttname"><a href="../../d0/d2a/a04925.html#a4dcc74e9883455bd188fb9311cc19f55">CarScript::Expansion_GetMass</a></div><div class="ttdeci">float Expansion_GetMass()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00804">carscript.c:804</a></div></div>
<div class="ttc" id="aa04925_html_a53fb52048a59643c936fc5aeee164211"><div class="ttname"><a href="../../d0/d2a/a04925.html#a53fb52048a59643c936fc5aeee164211">CarScript::GetVehiclePersistentIDString</a></div><div class="ttdeci">string GetVehiclePersistentIDString()</div><div class="ttdoc">ID of the vehicle itself.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00883">carscript.c:883</a></div></div>
<div class="ttc" id="aa04925_html_a824ac1d4eaa88f09308dd2735543d008"><div class="ttname"><a href="../../d0/d2a/a04925.html#a824ac1d4eaa88f09308dd2735543d008">CarScript::Expansion_GetTowPosition</a></div><div class="ttdeci">vector Expansion_GetTowPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00737">carscript.c:737</a></div></div>
<div class="ttc" id="aa04925_html_a92f05182c3407f6805185252e548beab"><div class="ttname"><a href="../../d0/d2a/a04925.html#a92f05182c3407f6805185252e548beab">CarScript::Expansion_CreateTow</a></div><div class="ttdeci">void Expansion_CreateTow(Object tow, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00552">carscript.c:552</a></div></div>
<div class="ttc" id="aa04925_html_a9e081def78439dfcf235ba0fe2b7accd"><div class="ttname"><a href="../../d0/d2a/a04925.html#a9e081def78439dfcf235ba0fe2b7accd">CarScript::Expansion_IsBeingTowed</a></div><div class="ttdeci">bool Expansion_IsBeingTowed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00681">carscript.c:681</a></div></div>
<div class="ttc" id="aa04925_html_ab539ebff316e33e7831275761ef41a9b"><div class="ttname"><a href="../../d0/d2a/a04925.html#ab539ebff316e33e7831275761ef41a9b">CarScript::Expansion_GetTowDirection</a></div><div class="ttdeci">vector Expansion_GetTowDirection()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00748">carscript.c:748</a></div></div>
<div class="ttc" id="aa04925_html_ae230bf7cacf1b820666b4b0d9dcd27f3"><div class="ttname"><a href="../../d0/d2a/a04925.html#ae230bf7cacf1b820666b4b0d9dcd27f3">CarScript::Expansion_CanConnectTow</a></div><div class="ttdeci">bool Expansion_CanConnectTow(notnull Object other)</div><div class="ttdoc">is it a car ? Is it already towing something ? And is it locked ?</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00778">carscript.c:778</a></div></div>
<div class="ttc" id="aa07089_html"><div class="ttname"><a href="../../d2/de6/a07089.html">ExpansionActionConnectTowReciveData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00013">expansionactionconnecttow.c:14</a></div></div>
<div class="ttc" id="aa07089_html_a183f7c6629f525769ba18dbfc0196271"><div class="ttname"><a href="../../d2/de6/a07089.html#a183f7c6629f525769ba18dbfc0196271">ExpansionActionConnectTowReciveData::m_Index</a></div><div class="ttdeci">int m_Index</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00016">expansionactionconnecttow.c:16</a></div></div>
<div class="ttc" id="aa07089_html_a5fe687b7c17d7c7ce7198da897dd63c1"><div class="ttname"><a href="../../d2/de6/a07089.html#a5fe687b7c17d7c7ce7198da897dd63c1">ExpansionActionConnectTowReciveData::m_Car</a></div><div class="ttdeci">Object m_Car</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00015">expansionactionconnecttow.c:15</a></div></div>
<div class="ttc" id="aa07093_html"><div class="ttname"><a href="../../d9/d3d/a07093.html">ExpansionActionConnectTow</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00025">expansionactionconnecttow.c:26</a></div></div>
<div class="ttc" id="aa07093_html_a05e8a09c777290d0d49d0b6b632b73f2"><div class="ttname"><a href="../../d9/d3d/a07093.html#a05e8a09c777290d0d49d0b6b632b73f2">ExpansionActionConnectTow::WriteToContext</a></div><div class="ttdeci">override void WriteToContext(ParamsWriteContext ctx, ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00056">expansionactionconnecttow.c:56</a></div></div>
<div class="ttc" id="aa07093_html_a0d48f0b5de38ac65f6d4abad52af9081"><div class="ttname"><a href="../../d9/d3d/a07093.html#a0d48f0b5de38ac65f6d4abad52af9081">ExpansionActionConnectTow::GetCarToTow</a></div><div class="ttdeci">bool GetCarToTow(PlayerBase player, out Object out_car, out int out_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00104">expansionactionconnecttow.c:104</a></div></div>
<div class="ttc" id="aa07093_html_a12ed114f9f5fec10e003a97b9890c76f"><div class="ttname"><a href="../../d9/d3d/a07093.html#a12ed114f9f5fec10e003a97b9890c76f">ExpansionActionConnectTow::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00042">expansionactionconnecttow.c:42</a></div></div>
<div class="ttc" id="aa07093_html_a35435a5d04d47e7ae5d2f56e571cff0d"><div class="ttname"><a href="../../d9/d3d/a07093.html#a35435a5d04d47e7ae5d2f56e571cff0d">ExpansionActionConnectTow::SetupAction</a></div><div class="ttdeci">override bool SetupAction(PlayerBase player, ActionTarget target, ItemBase item, out ActionData action_data, Param extra_data=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00093">expansionactionconnecttow.c:93</a></div></div>
<div class="ttc" id="aa07093_html_a5761fa97f97581dbb4f4af372c85804b"><div class="ttname"><a href="../../d9/d3d/a07093.html#a5761fa97f97581dbb4f4af372c85804b">ExpansionActionConnectTow::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00201">expansionactionconnecttow.c:201</a></div></div>
<div class="ttc" id="aa07093_html_a5bc36a50fdf356d2afe6293cba584667"><div class="ttname"><a href="../../d9/d3d/a07093.html#a5bc36a50fdf356d2afe6293cba584667">ExpansionActionConnectTow::ExpansionActionConnectTow</a></div><div class="ttdeci">void ExpansionActionConnectTow()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00029">expansionactionconnecttow.c:29</a></div></div>
<div class="ttc" id="aa07093_html_a6eb754a5503679b0787c545f296cccf5"><div class="ttname"><a href="../../d9/d3d/a07093.html#a6eb754a5503679b0787c545f296cccf5">ExpansionActionConnectTow::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00187">expansionactionconnecttow.c:187</a></div></div>
<div class="ttc" id="aa07093_html_a7be5028423673d3aaea2b0c6e77d3620"><div class="ttname"><a href="../../d9/d3d/a07093.html#a7be5028423673d3aaea2b0c6e77d3620">ExpansionActionConnectTow::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00048">expansionactionconnecttow.c:48</a></div></div>
<div class="ttc" id="aa07093_html_a8d30b36f27d9db7215b3b66b973b498d"><div class="ttname"><a href="../../d9/d3d/a07093.html#a8d30b36f27d9db7215b3b66b973b498d">ExpansionActionConnectTow::CreateActionData</a></div><div class="ttdeci">override ActionData CreateActionData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00036">expansionactionconnecttow.c:36</a></div></div>
<div class="ttc" id="aa07093_html_ad8d43e4d0cf3920e8a072f2ea9d447a0"><div class="ttname"><a href="../../d9/d3d/a07093.html#ad8d43e4d0cf3920e8a072f2ea9d447a0">ExpansionActionConnectTow::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00226">expansionactionconnecttow.c:226</a></div></div>
<div class="ttc" id="aa07093_html_adb2ae0c8529afc5dfe24f32c787e8ab7"><div class="ttname"><a href="../../d9/d3d/a07093.html#adb2ae0c8529afc5dfe24f32c787e8ab7">ExpansionActionConnectTow::m_IsWinch</a></div><div class="ttdeci">bool m_IsWinch</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00027">expansionactionconnecttow.c:27</a></div></div>
<div class="ttc" id="aa07093_html_aeb097eb71b665950f9e71c2131e88eff"><div class="ttname"><a href="../../d9/d3d/a07093.html#aeb097eb71b665950f9e71c2131e88eff">ExpansionActionConnectTow::HandleReciveData</a></div><div class="ttdeci">override void HandleReciveData(ActionReciveData action_recive_data, ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00083">expansionactionconnecttow.c:83</a></div></div>
<div class="ttc" id="aa07093_html_af69bed585dc06fd6188fd401f37d21b4"><div class="ttname"><a href="../../d9/d3d/a07093.html#af69bed585dc06fd6188fd401f37d21b4">ExpansionActionConnectTow::ReadFromContext</a></div><div class="ttdeci">override bool ReadFromContext(ParamsReadContext ctx, out ActionReciveData action_recive_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d8c/a02747_source.html#l00066">expansionactionconnecttow.c:66</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_c7b15e03556fbb96189670c7c298573c.html">interact</a></li><li class="navelem"><a class="el" href="../../de/d8c/a02747.html">expansionactionconnecttow.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
